Skip to main content
POST
Documents are generated asynchronously. A successful request returns 202 Accepted with an empty body and does not include a Location header. The generated document does not exist yet when the response is returned. Poll GET /document to retrieve it once generation completes.

Authorizations

x-api-key
string
header
required

API key used to authenticate and authorise every request. Include it in the x-api-key header.

Headers

Accept
enum<string>
required

Defines the response type.

Available options:
application/vnd.Creative Force.v2.3+json,
application/vnd.Creative Force.v2.3+xml
x-api-language
enum<string>[]

Defines the languages included in the response. If non are provided, the account default language is returned.

Value all overrides any other values present.

You can request multiple languages using a comma-separated string of languages.

The selected language must be supported by your account or a 400 error is returned.

Available options:
all,
ar_AR,
bg_BG,
bn_IN,
ca_ES,
cs_CZ,
cy_GB,
da_DK,
de_DE,
en_GB,
en_US,
el_GR,
es_NN,
es_LA,
et_EE,
fa_NN,
fi_FI,
fr_FR,
fr_CA,
he_IL,
hi_IN,
hr_HR,
hu_HU,
hy_AM,
it_IT,
ja_JP,
ko_KR,
lt_LT,
ms_MY,
nl_NL,
nb_NO,
pl_PL,
pt_BR,
ro_RO,
ru_RU,
sk_SK,
sl_SI,
sq_AL,
sr_RS,
sv_SE,
sw_NN,
th_TH,
tr_TR,
uk_UA,
vi_VN,
zh_CN,
zh_HK

Body

application/json

Document create payload.

translated
object
required
template
string
required

Slug of the document template to generate the document from.

Pattern: ^[A-Za-z]{8}$
fileType
enum<string>
required

File format to generate the document in.

Available options:
pdf,
word
shared
boolean
required

Specifies whether the generated document is shared with the applicant.

resource
enum<string>
required

Type of resource to attach the generated documents to.

Available options:
user,
application,
allocation,
grant-report
selected
string[]
required

Slugs of the resources, of the type given by resource, to attach the generated documents to.

Minimum array length: 1
Pattern: ^[A-Za-z]{8}$
notification
string | null

Slug of the notification to send when the document is created.

Omit or set to null to send no notification.

Pattern: ^[A-Za-z]{8}$

Response

Document creation accepted.